Package xml :: Package dom :: Module minidom :: Class Document

[frames | no frames]

## Class Document

    GetattrMagic --+
                   |
            Node --+
                   |
                Node --+
                       |
          DocumentLS --+
                       |
                      Document

Method Summary
| `__init__(self)`
| `appendChild(self, node)`
| `cloneNode(self, deep)`
| `createAttribute(self, qName)`
| `createAttributeNS(self, namespaceURI, qualifiedName)`
| `createCDATASection(self, data)`
| `createComment(self, data)`
| `createDocumentFragment(self)`
| `createElement(self, tagName)`
| `createElementNS(self, namespaceURI, qualifiedName)`
| `createProcessingInstruction(self, target, data)`
| `createTextNode(self, data)`
| `getElementById(self, id)`
| `getElementsByTagName(self, name)`
| `getElementsByTagNameNS(self, namespaceURI, localName)`
| `importNode(self, node, deep)`
| `isSupported(self, feature, version)`
| `removeChild(self, oldChild)`
| `renameNode(self, n, namespaceURI, name)`
| `unlink(self)`
| `writexml(self, writer, indent, addindent, newl, encoding)`

Property Summary
| `documentElement`: Top-level element of this document.

Class Variable Summary
`NoneType` | `actualEncoding` = None
`NoneType` | `attributes` = None
`NoneType` | `doctype` = None
`NoneType` | `documentURI` = None
`NoneType` | `encoding` = None
`NoneType` | `errorHandler` = None
`DOMImplementation` | `implementation` = `<xml.dom.minidom.DOMImplementation inst...`
`NoneType` | `nextSibling` = None
`str` | `nodeName` = `'#document'`
`int` | `nodeType` = 9
`NoneType` | `nodeValue` = None
`NoneType` | `parentNode` = None
`NoneType` | `previousSibling` = None
`NoneType` | `standalone` = None
`bool` | `strictErrorChecking` = `False`
`NoneType` | `version` = None

Property Details

### documentElement

Top-level element of this document.

Class Variable Details

### actualEncoding

  Type:
    `NoneType`
  Value:

        None

### attributes

  Type:
    `NoneType`
  Value:

        None

### doctype

  Type:
    `NoneType`
  Value:

        None

### documentURI

  Type:
    `NoneType`
  Value:

        None

### encoding

  Type:
    `NoneType`
  Value:

        None

### errorHandler

  Type:
    `NoneType`
  Value:

        None

### implementation

  Type:
    `DOMImplementation`
  Value:

        <xml.dom.minidom.DOMImplementation instance at 0xb421c52c>

### nextSibling

  Type:
    `NoneType`
  Value:

        None

### nodeName

  Type:
    `str`
  Value:

        '#document'

### nodeType

  Type:
    `int`
  Value:

        9

### nodeValue

  Type:
    `NoneType`
  Value:

        None

### parentNode

  Type:
    `NoneType`
  Value:

        None

### previousSibling

  Type:
    `NoneType`
  Value:

        None

### standalone

  Type:
    `NoneType`
  Value:

        None

### strictErrorChecking

  Type:
    `bool`
  Value:

        False

### version

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:16 2007 | http://epydoc.sf.net